curl -X POST https://api.ordexs.com/v1/bulk_uploads \
-H "Authorization: Bearer $ORDEXS_API_KEY" \
-H "Idempotency-Key: 3f9c1e2a-7b4d-4c8e-9a1f-5d6e7f8a9b0c" \
-H "Content-Type: application/json" \
-d '{
"size": 2400000
}'
const res = await fetch('https://api.ordexs.com/v1/bulk_uploads', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.ORDEXS_API_KEY}`,
'Idempotency-Key': crypto.randomUUID(),
'Content-Type': 'application/json',
},
body: JSON.stringify({
"size": 2400000
}),
})
const data = await res.json()
if (!res.ok) throw new Error(`${data.error.code}: ${data.error.message}`)
<?php
$body = [
'size' => 2400000,
];
$ch = curl_init('https://api.ordexs.com/v1/bulk_uploads');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('ORDEXS_API_KEY'),
'Idempotency-Key: ' . bin2hex(random_bytes(16)),
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode($body),
]);
$data = json_decode(curl_exec($ch), true);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
import os, uuid
import requests
res = requests.post(
"https://api.ordexs.com/v1/bulk_uploads",
headers={"Authorization": f"Bearer {os.environ['ORDEXS_API_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
json={
"size": 2400000,
},
timeout=30,
)
data = res.json()
if not res.ok:
raise RuntimeError(f"{data['error']['code']}: {data['error']['message']}")
{
"object": "upload",
"id": "upl_0a1b2c3d4e5f46a7b8c9d0e1f2a3b4c5",
"upload_url": "https://…r2.cloudflarestorage.com/…",
"method": "PUT",
"headers": {
"Content-Type": "application/x-ndjson"
},
"max_bytes": 10485760,
"expires_at": "2026-10-13T09:15:00Z"
}
{
"error": {
"code": "insufficient_scope",
"message": "This API key does not have the \"orders:write\" permission. Edit the key's permissions under Settings → Developers, or use a key that has it.",
"details": {
"required_scope": "orders:write"
},
"request_id": "req_7f3a9c2e41b84d0c9a1e5f6b"
}
}